Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455581 (php-pecl-ssh2) - Review Request: php-pecl-ssh2 - php bindings to the functions of libssh2
Summary: Review Request: php-pecl-ssh2 - php bindings to the functions of libssh2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: php-pecl-ssh2
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 12:43 UTC by Itamar Reis Peixoto
Modified: 2008-12-08 12:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-08 12:59:57 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Itamar Reis Peixoto 2008-07-16 12:43:17 UTC
Spec URL: http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2.spec
SRPM URL: http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2-0.10-1.fc9.src.rpm
Description:
since libssh2 [1] was included in fedora, should be nice to have php-pecl-ssh2 [2], because this will allow write php scripts with ssh2 support.

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=398881
[2] - http://pecl.php.net/package/ssh2

Comment 1 John A. Khvatov 2008-07-20 11:47:53 UTC
I'm not sponsored yet. I can just pre-review it:

This package does not build for me, using rpmbuild:

configure: error: The required libssh2 library was not found.  You can obtain
that package from http://sourceforge.net/projects/libssh2/
ошибка: Неверный код возврата из /var/tmp/rpm-tmp.85133 (%build)

I think, BuildRequires must have libssh2-devel.

Unofficial package pre-review:
=======
$ rpmlint -i <src.rpm>
php-pecl-ssh2.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 18)
The specfile mixes use of spaces and tabs for indentation, which is a cosmetic
annoyance.  Use either spaces or tabs for indentation, not both.

php-pecl-ssh2.src: E: description-line-too-long Provides bindings to the
functions of libssh2 which implements the SSH2 protocol.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

$ rpmlint -i <rpm>
php-pecl-ssh2.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

php-pecl-ssh2.i386: E: description-line-too-long Provides bindings to the
functions of libssh2 which implements the SSH2 protocol.
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

- You seem to have mixed tabs and spaces.
- Try wraping description.
- Package does't have any docs. May be write README or consult
reviewer.

Required
=======
[x] package is named according to the Package Naming Guidelines.
[x] md5sum matches for source from srpm and project page.
[-] package licensed with PHP license, but in .spec BSD is written. Why?
[x] spec file is legible and written in American English.
[-] all build dependencies listed in BuildRequires.
[-] tabs and spaces mixed.
[x] all filenames in rpm are in UTF-8.
[-] description is okay, but needs to be wrapped.
[x] no static libraries, no libtool, package does not own files or folders used
by other packages, no %doc.
[-] package builds and compiles using koji. Fix in BuildRequires needed.
[x] consistently used macros.
[x] %clean - present.

Optional
=======
[?] Packaged non stable sources.

[-] = Problem or suggestion, [x] = Checked, ? = No idea.

Ok, just needs some quick fixes in my opinion.

Comment 2 Itamar Reis Peixoto 2008-07-20 18:34:09 UTC
fixed

Spec URL: http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2.spec
SRPM URL: http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2-0.10-1.fc9.src.rpm

the docs are available only in http://www.php.net/manual/en/ref.ssh2.php , there
are no doc's or readme in the source.

Comment 3 John A. Khvatov 2008-07-22 12:20:05 UTC
Good, this package is okey to me.
Thanks.

Comment 4 Itamar Reis Peixoto 2008-08-17 02:39:27 UTC
I have forgot to say "I need a sponsor" :-)

Comment 5 Itamar Reis Peixoto 2008-11-15 00:26:02 UTC
I am now sponsored, this package is now only waiting for a review.

Comment 6 Itamar Reis Peixoto 2008-11-15 15:48:48 UTC
Improved SRPM here, with license and a readme file included.

http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2.spec
http://ispbrasil.com.br/php-pecl-ssh2/php-pecl-ssh2-0.10-2.fc8.src.rpm


rawhide build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=934542

Comment 7 Chris Weyl 2008-11-18 16:55:58 UTC
The code is explicitly licensed under 2.01 of the PHP License, which indicates that it can be used under the terms of that license or "any future version of this license."

Spec looks sane, clean and consistent; license is correct (PHP); make test
passes cleanly.  Package complies with PHP-specific guidelines.

Koji scratch build looks good.

Sources match upstream:

95bdbd6a9a0d14cb65c6d6bdc9ee1770  ssh2-0.10.tgz
95bdbd6a9a0d14cb65c6d6bdc9ee1770  ssh2-0.10.tgz.srpm

Final provides/requires looks sane:

** php-pecl-ssh2-0.10-2.fc11.x86_64.rpm
== rpmlint
== provides
config(php-pecl-ssh2) = 0.10-2.fc11
php-pecl(ssh2) = 0.10
ssh2.so()(64bit)  
php-pecl-ssh2 = 0.10-2.fc11
php-pecl-ssh2(x86-64) = 0.10-2.fc11
== requires
/bin/sh  
/bin/sh  
/usr/bin/pecl  
/usr/bin/pecl  
config(php-pecl-ssh2) = 0.10-2.fc11
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libssh2.so.1()(64bit)  
php(api) = 20041225
php(zend-abi) = 20060613
rtld(GNU_HASH)  
** php-pecl-ssh2-debuginfo-0.10-2.fc11.x86_64.rpm
== rpmlint
== provides
php-pecl-ssh2-debuginfo = 0.10-2.fc11
php-pecl-ssh2-debuginfo(x86-64) = 0.10-2.fc11
== requires

APPROVED

Comment 8 Itamar Reis Peixoto 2008-11-18 18:13:07 UTC
New Package CVS Request
=======================
Package Name: php-pecl-ssh2
Short Description: Bindings to the functions of libssh2 which implements the SSH2 protocol
Owners: itamarjp
Branches: F-9  F-10
InitialCC:

Comment 9 Kevin Fenzi 2008-11-19 03:50:19 UTC
cvs done.

Comment 10 Fedora Update System 2008-11-19 12:23:33 UTC
php-pecl-ssh2-0.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-pecl-ssh2-0.10-2.fc10

Comment 11 Fedora Update System 2008-11-22 16:59:30 UTC
php-pecl-ssh2-0.10-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-ssh2'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000

Comment 12 Fedora Update System 2008-12-08 12:59:53 UTC
php-pecl-ssh2-0.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.